﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:wpf="clr-namespace:SecondMonitor.WindowsControls.WPF;assembly=WindowsControls"
                    xmlns:viewModel="clr-namespace:SecondMonitor.Timing.Application.ViewModel">
    <DataTemplate DataType="{x:Type viewModel:SidebarViewModel}">
        <Border BorderBrush="{StaticResource Anthracite03Brush}" BorderThickness="2">
                <WrapPanel>
                    <Button HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding OpenCurrentTelemetrySession, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"
                                    ToolTip="Open Current Session Telemetry" Width="45" Height="45" >
                        <Button.Content>
                            <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource TelemetryIcon}"/>
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                    <Button HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding OpenLastReportCommand, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"  Width="45" Height="45"
                                    ToolTip="Open Last Report">
                        <Button.Content>
                            <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource ReportIcon}" />
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                    <Button HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding OpenReportFolderCommand, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"  Width="45" Height="45"
                                    ToolTip="Open Reports Folder">
                        <Button.Content>
                            <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource FolderIcon}" />
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                    <Button
                                Command="{Binding OpenCarSettingsCommand}"
                                IsEnabled="{Binding IsOpenCarSettingsCommandEnable}"
                                Style="{StaticResource StandardButton}"  Width="45" Height="45"
                                ToolTip="Opens the configuration window for the current car.">
                        <Button.Content>
                            <wpf:ColorAbleIcon Margin="2"
                                                       StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource CarSettingsIcon}" />
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                    <Button
                                Command="{Binding OpenChampionshipWindowCommand}"
                                Style="{StaticResource StandardButton}"  Width="45" Height="45"
                                Foreground="{Binding ChampionshipIconStateViewModel.ChampionshipIconState, Converter={StaticResource ChampionshipIconStateToBrushConverter}}"
                                ToolTip="{Binding ChampionshipIconStateViewModel.TooltipText}">
                        <Button.Content>
                            <wpf:ColorAbleIcon Margin="2"
                                                       StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource ChampionshipIcon}" />
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                    <Button
                        Command="{Binding OpenRandomSuggestionsCommand}"
                        Style="{StaticResource StandardButton}"  Width="45" Height="45"
                        ToolTip="Open Random Race Suggestions.">
                        <Button.Content>
                            <wpf:ColorAbleIcon Margin="2"
                                               StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                <ContentPresenter Content="{StaticResource RandomIcon}" />
                            </wpf:ColorAbleIcon>
                        </Button.Content>
                    </Button>
                </WrapPanel>
            </Border>
    </DataTemplate>
</ResourceDictionary>